Mac(OS X 10.6.8)で、Web系の開発をしようと思うのですが、インストールしなくても初期状態で、perlやphpなどがインストールされているようです。

(ターミナルで、php -versionなどで確認しました)

Web系の開発はあまりやったことがないため、開発環境についてXAMPPなどを使った方が楽なのかと思いましたが、こういったように既に環境がある程度インストールされている時は、余分なものをインストールしない方がよいのでしょうか?

回答の条件
  • 1人5回まで
  • 13歳以上
  • 登録:2011/07/16 17:34:01
  • 終了:2011/07/23 17:35:07

回答(2件)

id:km1981 No.1

km1981回答回数429ベストアンサー獲得回数492011/07/16 20:46:24

ポイント50pt

余分なものはインストールしないほうがよいと思います


(理由1)プリインストールされているものはアップルが勝手にアップデートしてくれるので安心

(理由2)プリインストールされているものはOSも利用している可能性があるので変に削除しない方がよい

id:yotaca No.2

よたか回答回数426ベストアンサー獲得回数462011/07/20 22:08:17

ポイント50pt

macでWebの開発をやってますが、初期設定のまま使うと細かい設定が大変ですので、私はMampを使ってます。

http://www.mamp.info/

 

なにが大変かと言うと、マックのシステム構造が一般的なLinuxと違う個所が多いので

アップロードのたびにパスを書き換えたりする手間とがたいへんなのと、

実際に開発に使うにしても、OSに入っているバージョンが古く自己責任でバージョンを上げなければなりません。

その部分について、Appleは一切サポートしてくれないばかりか、システムに不具合を与える可能性もあります。

 

慣れた方は、Yum等を使われる方も見えるでしょうが、

この方法だとTimeMachineでバックアップ出来なかったと記憶しております。

(やってないのでわかりませんけど)

 

件のMampはアプリケーションとして動作しますので、

TimeMachineで復帰できますし、設定もかなり自由です。

初期設定でポートが8888になっているので、

もともとのWeb共有ともあたらないのはいいけど、

毎回ポートを入力しないと行けないのが面倒といえば面倒ですね。

 

http://127.0.0.1:8888/

こんな感じです。ポートを80にすればいいんですけど、私はこのまま使ってます。

 

すぐにアンインストール出来るので、一度試してみてはいかがですか?

コメントはまだありません

この質問への反応(ブックマークコメント)

「あの人に答えてほしい」「この質問はあの人が答えられそう」というときに、回答リクエストを送ってみてましょう。

これ以上回答リクエストを送信することはできません。制限について

絞り込み :
はてなココの「ともだち」を表示します。
回答リクエストを送信したユーザーはいません